import { createProgram, getPreEmitDiagnostics, } from 'typescript';
import { stringifyError } from '@code-pushup/utils';
import { loadTargetConfig } from './utils.js';
export async function getTypeScriptDiagnostics({ tsconfig, }) {
    const { fileNames, options } = await loadTargetConfig(tsconfig);
    try {
        const program = createProgram(fileNames, options);
        return getPreEmitDiagnostics(program);
    }
    catch (error) {
        throw new Error(`Can't create TS program in getDiagnostics. \n ${stringifyError(error)}`);
    }
}
//# sourceMappingURL=ts-runner.js.map