import { z } from 'zod';
import { AUDITS, DEFAULT_TS_CONFIG } from './constants.js';
const auditSlugs = AUDITS.map(({ slug }) => slug);
export const typescriptPluginConfigSchema = z.object({
    tsconfig: z
        .string({
        description: 'Path to a tsconfig file (default is tsconfig.json)',
    })
        .default(DEFAULT_TS_CONFIG),
    onlyAudits: z
        .array(z.enum(auditSlugs), {
        description: 'Filters TypeScript compiler errors by diagnostic codes',
    })
        .optional(),
});
//# sourceMappingURL=schema.js.map